Subject: Re: win32-gui-demos.pl dumps core
From: "Reini Urban" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 13 Jan 2008 01:27:39 +0100 (CET)
List-Id: <cygwin.cygwin.com>

> found a data point for you: stock winxp install, no updates no
> nothing, +cygwin + ActiveState ActivePerl works fine for me under
> ActivePerl but fails under Cygwin perl... i removed AS-AP from the PATH
> so that it woudnt conflict with the cygwin install
>
> Also, tried from an ancient cygwin install (about 8 months) and it
> worked fine until I installed the new win32-gui-demos package

I just found the error.

You have to remove the line with
#define PERL_GET_NO_CONTEXT
from Scintilla.xs and recompile it. This is not active on MSVC builds, but
on cygwin and mingw it will crash.

I'm just out on a business trip and will be able to update
the perl-Win32-GUI packages at next weekend earliest.

> On Jan 4, 2008 8:21 PM, Michael Kairys wrote:
>>
>> "morgan gangwere" wrote in message
>> >>
>> > yes, i am...
>>
>> Oh, good! No ZoneAlarm and no Vista :)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/